Bug 1065517 (CVE-2014-0080)

Summary: CVE-2014-0080 rubygem-activerecord: PostgreSQL array data injection vulnerability
Product: [Other] Security Response Reporter: Kurt Seifried <kseifried>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: bgollahe, briang, drieden, jstribny, mmaslano, security-response-team, tdawson, tkramer
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20140218,reported=20140212,source=upstream,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:P/A:N,rhscl-1/ruby193-rubygem-activerecord=notaffected,rhscl-1/ror40-rubygem-activerecord=notaffected,sam-1/ruby193-rubygem-activerecord=notaffected,cfme-5/ruby193-rubygem-activerecord=notaffected,openstack-3/ruby193-rubygem-activerecord=notaffected,openstack-4/ruby193-rubygem-activerecord=notaffected,openshift-enterprise-1/ruby193-rubygem-activerecord=notaffected,openshift-1/rubygem-activerecord=notaffected,rhn_satellite_6/ruby193-rubygem-activerecord=notaffected,fedora-19/rubygem-activerecord=notaffected,fedora-20/rubygem-activerecord=affected,epel-5/rubygem-activerecord=notaffected
Fixed In Version: rubygem-activerecord 4.0.3, rubygem-activerecord 4.1.0.beta2 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-02-18 15:56:55 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1065585, 1066671    
Bug Blocks: 1065543    
Description Flags
4-1-beta-array_injection.patch none

Description Kurt Seifried 2014-02-14 15:36:27 EST
Aaron Patterson of the Ruby on Rails project reports:

Data Injection Vulnerability in Active Record

There is a data injection vulnerability in Active Record. Specially
crafted strings can be used to save data in PostgreSQL array columns that may
not be intended. 

Versions Affected:  4.0.x, 4.1.0.beta1
Not affected:       3.2.x and older
Fixed Versions:     4.0.3, 4.1.0.beta2

Specially crafted strings may be used to save data to array columns in
PostgreSQL databases. This vulnerability cannot be used to delete data or
execute arbitrary SQL statements, but *can* be used to add data that could
have an impact on the application (such as setting an admin flag). Only array
type columns in PostgreSQL are impacted.

All users running an affected release should either upgrade or use one of the
work arounds immediately.
Comment 1 Kurt Seifried 2014-02-14 16:39:57 EST
Created attachment 863434 [details]
Comment 2 Kurt Seifried 2014-02-14 16:40:21 EST
Created attachment 863435 [details]
Comment 4 Kurt Seifried 2014-02-14 23:41:14 EST

Red Hat would like to thank the Ruby on Rails Project for reporting this issue. Upstream acknowledges Godfrey Chan as the original reporter.
Comment 5 Kurt Seifried 2014-02-14 23:46:15 EST

Not vulnerable. This issue did not affect the versions of rubygem-activerecord as shipped with CloudForms, OpenShift Enterprise 1 and 2, Red Hat Enterprise Linux OpenStack Platform 3 and 4, Red Hat Software Collections 1 and Subscription Asset Manager as they did not include the vulnerable code.
Comment 6 Vincent Danen 2014-02-18 15:56:29 EST
Created rubygem-activerecord tracking bugs for this issue:

Affects: fedora-20 [bug 1066671]
Comment 8 Fedora Update System 2014-03-11 00:00:02 EDT
rubygem-activerecord-4.0.0-2.fc20, rubygem-actionpack-4.0.0-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.